AntCompiler.JasperAntLogger (Apache Tomcat 9.0.117 API Documentation)
Description: declaration: package: org.apache.jasper.compiler, class: AntCompiler, class: JasperAntLogger

# Class AntCompiler.JasperAntLogger

java.lang.Object
org.apache.tools.ant.DefaultLogger
org.apache.jasper.compiler.AntCompiler.JasperAntLogger

All Implemented Interfaces:
  `EventListener, org.apache.tools.ant.BuildListener, org.apache.tools.ant.BuildLogger`

Enclosing class:
  `AntCompiler`

public static class AntCompiler.JasperAntLogger extends org.apache.tools.ant.DefaultLogger

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final StringBuilder`
  `reportBuf`

  ### Fields inherited from class org.apache.tools.ant.DefaultLogger

  `emacsMode, err, LEFT_COLUMN_SIZE, lSep, msgOutputLevel, out`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JasperAntLogger()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getReport()`
  `protected void`
  `log(String message)`
  `protected void`
  `printMessage(String message, PrintStream stream, int priority)`

  ### Methods inherited from class org.apache.tools.ant.DefaultLogger

  `buildFinished, buildStarted, extractProjectName, formatTime, getBuildFailedMessage, getBuildSuccessfulMessage, getMessageOutputLevel, getTimestamp, messageLogged, setEmacsMode, setErrorPrintStream, setMessageOutputLevel, setOutputPrintStream, targetFinished, targetStarted, taskFinished, taskStarted`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### reportBuf

    protected final StringBuilder reportBuf

- ## Constructor Details

  - ### JasperAntLogger

    public JasperAntLogger()

- ## Method Details

  - ### printMessage

    protected void printMessage(String message, PrintStream stream, int priority)
    Overrides:
      `printMessage` in class `org.apache.tools.ant.DefaultLogger`

  - ### log

    protected void log(String message)
    Overrides:
      `log` in class `org.apache.tools.ant.DefaultLogger`

  - ### getReport

    protected String getReport()